import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { FormGroup, ReactiveFormsModule } from '@angular/forms';
import { UiTextareaModule } from '@ui/textarea/textarea.module';
import { SlutredovisningFormService } from '../slutredovisning-form.service';
import { SlutredovisningFormStep2Component } from './slutredovisning-form-step2.component';

describe('SlutredovisningFormStep2Component', () => {
  let component: SlutredovisningFormStep2Component;
  let fixture: ComponentFixture<SlutredovisningFormStep2Component>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
      declarations: [SlutredovisningFormStep2Component],
      imports: [ReactiveFormsModule, UiTextareaModule],
      providers: [SlutredovisningFormService],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(SlutredovisningFormStep2Component);
    component = fixture.componentInstance;
    component.formGroup = new FormGroup({});
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
